[package]
name = "libyalloc"
version = "0.1.0"
edition = "2024"
authors = ["Mark Poliakov <mark@alnyan.me>"]

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
core = { version = "1.0.0", optional = true, package = "rustc-std-workspace-core" }

[target.'cfg(unix)'.dependencies]
libc = { version = "0.2.140", default-features = false }
[target.'cfg(not(unix))'.dependencies]
yggdrasil-rt = { path = "../runtime", default-features = false }

[features]
default = ["global"]
global = []
dep-of-kernel = []
rustc-dep-of-std = [
    "core",
    "libc/rustc-dep-of-std",
    "yggdrasil-rt/rustc-dep-of-std"
]
